> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Search circuit > NOTE: This API is provided by a separate service. Operation is used to search existing circuits from KeyCom with given search attributes and return information including location and reserved components. Available from product version 3.4.0. ## OpenAPI ````json POST /searchCircuit/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/searchCircuit/": { "post": { "tags": [ "Circuit Services" ], "summary": "Search circuit", "description": "NOTE: This API is provided by a separate service.\n\nOperation is used to search existing circuits from KeyCom with given search attributes and return information\nincluding location and reserved components. Available from product version 3.4.0.\n", "operationId": "searchCircuit", "requestBody": { "description": "search criterias for circuit", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SearchCircuitBody" } } }, "required": true, "x-bodyName": "searchCircuitBody" }, "responses": { "200": { "description": "Circuits with location and sections with reservation data.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSearch" } }, "example": [ { "areaCode": "", "comments": "", "contractLength": null, "contractNumber": "100", "createdBy": "KEYCOM_STAGE", "createdTs": "2021-09-03", "customer": { "address": { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": 2810, "listUrl": "http://keycom.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Testinen", "number": "A-2810", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-03T11:02:58" }, "directLength": null, "id": 287214, "identifier": "circuitName", "identifierAlt": "circuitOtherName", "importance": null, "installationAddresses": [ { "apartment": "http://keycom-default-py3.tests2.keypro.fi/api/v2/apartments/3281/", "circuit": "http://keycom-default-py3.tests2.keypro.fi/api/v2/circuits/287214/", "id": 1526413, "installationType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_LOCATION_TYPE", "id": 6210, "list_url": "http://keycom-default-py3.tests2.keypro.fi/api/v2/txt_constants/groupname/KN_LOCATION_TYPE/", "logical_txt": "AAAAAA", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Beginning" } } ], "length": null, "orderNumber": "100", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": 3369941, "listUrl": "http://keycom.example.com/api/v2/sections/", "name": "sectionName", "reservations": { "logical": [ { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/4289/" ], "buildingId": "", "city": "LOVIISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 80750, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "PUISTIKKOKATU", "streetnameAlt": "", "streetno": "1", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:22", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "07900" }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "device": [ { "comments": "", "connectorCount": 6, "createdBy": "", "createdTs": null, "id": 21050, "identification": "1", "interface": "", "managementAddress": "", "managementAddress2": "", "orderNo": null, "owner": null, "parent": null, "premise": "http://keycom.example.com/api/v2/premises/23610/", "renter": null, "sourceSystem": null, "sourceSystemKey": null, "startPin": 1, "type": "http://keycom.example.com/api/v2/terminal-types/2810/", "updatedBy": "KEYCOM_STAGE", "updatedTs": "2010-08-31T09:50:01", "usageState": null } ], "freeStatus": 0, "functionality": "", "id": 1319590, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "premises": [ { "address": "http://keycom.example.com/api/v2/apartments/4289/", "angle": 258.690210012265, "capacity": 6, "createdBy": "", "createdTs": null, "deviceRoom": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "PREM_PLACEMENT", "id": 5381, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/PREM_PLACEMENT/", "logical_txt": "Huone", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Room" }, "diagramConfirm": null, "heightAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "H_ACCURACY", "id": 117210, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "Ei määritelty", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Not defined" }, "historyDate": null, "id": 23610, "identification": "PUISTIKKOKATU 1", "importance": null, "install_year": null, "location": "SRID=3067;POINT Z (456644.3093 6702520.3081 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "LOCATION_ACCURACY", "id": 8301, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "2.0m", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": 2.0, "txt": "2.0m" }, "manhole": null, "mapper": "", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MAPPING_METHOD", "id": 390, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Digitoitu", "num_value": 4.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Digitized" }, "name": "", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "PREM_OWNER", "id": 2010, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/PREM_OWNER/", "logical_txt": "Loviisan Puhelin", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan Puhelin" }, "plan": null, "pole": null, "remarks": "", "renter": null, "scale": 4.0, "sourceSystem": null, "sourceSystemKey": null, "survey_amount": "", "technicalId": null, "technicalInfo": "", "telecomArea": "http://keycom.example.com/api/v2/telecom-areas/10/", "type": { "cost": null, "id": 12, "listUrl": "http://keycom.example.com/api/v2/premtypes/", "manufacturer": "Tuntematon", "productCode": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "PREM_TYPE", "id": 3290, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/PREM_TYPE/", "logical_txt": "Tilaajapiste", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Subscriber point" } }, "updatedBy": "KEYCOM_STAGE", "updatedTs": "2021-08-31T10:27:12", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "PREM_STATE", "id": 14601, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/PREM_STATE/", "logical_txt": "Käytössä", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "In use" } } ], "priority": null, "remarks": "", "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": "", "technology": 0, "terminal": "http://keycom.example.com/api/v2/devices/21050/" }, "circuit": "http://keycom.example.com/api/v2/circuits/287214/", "connection": null, "details": "", "device": "http://keycom.example.com/api/v2/devices/21050/", "hierarchy": null, "id": 2413490, "order": 1, "premises": "http://keycom.example.com/api/v2/premises/23610/", "section": "http://keycom.example.com/api/v2/sections/3369941/" } ], "physical": [ { "circuit": "http://keycom.example.com/api/v2/circuits/287214/", "circuitOrder": 1, "component": "1", "componentAttenuation": 0.5, "componentLength": null, "componentState": "Ready", "componentType": "connector", "container": "1", "containerId": 21050, "containerState": "", "containerType": "device", "section": "http://keycom.example.com/api/v2/sections/3369941/", "topContainer": "PUISTIKKOKATU 1", "topContainerState": "In use", "topContainerType": "telecom premises" } ] }, "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "USAGE", "id": 15050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "62 Vaihde kutsu", "num_value": 62.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "62 Vaihde kutsu" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_USAGE_STATE", "id": 6350, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Pian käytössä", "num_value": 4.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Soon in use" } } ], "updatedBy": "KEYCOM_STAGE", "updatedTs": "2021-09-03" } ] } } }, "404": { "description": "Circuit not found", "content": { "application/json": { "schema": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } } }, "example": { "details": "Circuit not found" } } } } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "SearchCircuitBody": { "allOf": [ { "$ref": "#/components/schemas/SearchCircuitWithSection" }, { "$ref": "#/components/schemas/CreateCircuitSectionParams" }, { "type": "object", "properties": { "addressId": { "type": "integer", "description": "ID of apartment related to circuit installation address" }, "comments": { "type": "string", "description": "circuit comments" }, "customerId": { "type": "integer", "description": "ID of customer related to circuit customer" }, "importanceId": { "type": "integer", "description": "ID of importance" }, "organisationId": { "type": "integer", "description": "ID of organisation" }, "redundancyId": { "type": "integer", "description": "ID of redundancy" } } } ] }, "CircuitSearch": { "allOf": [ { "$ref": "#/components/schemas/Circuit" }, { "type": "object", "properties": { "installationAddresses": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitLocation" }, "description": "List of fetched Circuit Locations" }, "sections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSectionSearch" }, "description": "List of fetched Circuit Sections" } } } ] }, "SearchCircuitWithSection": { "allOf": [ { "$ref": "#/components/schemas/SearchCircuitParams" }, { "type": "object", "properties": { "sectionId": { "type": "integer", "description": "ID of circuit section as primary search criteria" } } } ] }, "CreateCircuitSectionParams": { "type": "object", "properties": { "bitrateId": { "type": "integer", "description": "ID of section bitrate which is related to the speed of section" }, "connectDatePlanned": { "type": "string", "description": "section connect date planned", "format": "date-time" }, "connectDateReal": { "type": "string", "description": "section connect date real", "format": "date-time" }, "constStateId": { "type": "integer", "description": "ID of section construction state" }, "disconnectDatePlanned": { "type": "string", "description": "section disconnect date planned", "format": "date-time" }, "disconnectDateReal": { "type": "string", "description": "section disconnect date real", "format": "date-time" }, "sectionName": { "type": "string", "description": "section name" }, "usagePurposeId": { "type": "integer", "description": "ID of section usage purpose" }, "usageStateId": { "type": "integer", "description": "ID of section usage state" } } }, "Circuit": { "type": "object", "properties": { "areaCode": { "type": "string", "description": "Circuit area code" }, "comments": { "type": "string", "description": "Circuit comments. Available from product version 3.2.8." }, "contractLength": { "type": "integer", "description": "Circuit contract length" }, "contractNumber": { "type": "string", "description": "Circuit contract number" }, "createdAt": { "type": "string", "description": "Creation timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "createdBy": { "type": "string", "description": "Creator username", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date (date only, existing field)", "format": "date", "readOnly": true }, "customer": { "$ref": "#/components/schemas/Customer" }, "directLength": { "type": "number", "description": "Circuit direct length", "format": "float" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identifier": { "type": "string", "description": "Circuit identifier" }, "identifierAlt": { "type": "string", "description": "Circuit alternative identifier" }, "importance": { "$ref": "#/components/schemas/CircuitImportance" }, "installationAddresses": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Circuit installations addresses" }, "length": { "type": "number", "description": "Circuit length", "format": "float" }, "orderNumber": { "type": "string", "description": "Circuit order number" }, "organisation": { "$ref": "#/components/schemas/CircuitOrganisation" }, "redundancy": { "$ref": "#/components/schemas/CircuitRedundancy" }, "sections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSection" }, "description": "Circuit sections" }, "supercircuit": { "$ref": "#/components/schemas/SuperCircuit" }, "supercircuitOrderNo": { "type": "integer", "description": "Order number of this circuit within the super circuit. Available from product version v2026.2." }, "updatedAt": { "type": "string", "description": "Last update timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "updatedBy": { "type": "string", "description": "Last updater username", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date (date only, existing field)", "format": "date", "readOnly": true } } }, "CircuitLocation": { "required": [ "circuit", "apartment", "installationType" ], "type": "object", "properties": { "apartment": { "type": "string", "description": "apartment of the location", "format": "url" }, "circuit": { "type": "string", "description": "Circuit of the location", "format": "url" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "installationType": { "$ref": "#/components/schemas/CircuitLocationType" } } }, "CircuitSectionSearch": { "allOf": [ { "$ref": "#/components/schemas/CircuitSection" }, { "type": "object", "properties": { "reservations": { "type": "array", "items": { "type": "object", "properties": { "logical": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitConnectionCCP" }, "description": "logical reservations" }, "physical": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitReservationData" }, "description": "physical reservations" } } }, "description": "reservation data" } } } ] }, "SearchCircuitParams": { "allOf": [ { "$ref": "#/components/schemas/CircuitParams" }, { "type": "object", "properties": { "circuitId": { "type": "integer", "description": "ID of circuit as primary search criteria" } } } ] }, "Customer": { "required": [ "number", "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Apartment" }, "addressAlt": { "$ref": "#/components/schemas/Apartment" }, "billingName": { "type": "string", "description": "Customer billing name" }, "businessId": { "type": "string", "description": "Customer bussiness id" }, "contactName": { "type": "string", "description": "Customer contact name or null. Available from product version 2026.1" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "email": { "type": "string", "description": "Customer email" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "mobilePhone": { "type": "string", "description": "Customer mobile phone number name" }, "name": { "type": "string", "description": "Customer name" }, "number": { "type": "string", "description": "Customer number" }, "phone": { "type": "string", "description": "Customer phone number" }, "smsProhibited": { "type": "boolean", "description": "Sending sms is prohibited to customer" }, "telefax": { "type": "string", "description": "Customer fax number" }, "type": { "$ref": "#/components/schemas/CustomerType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "CircuitImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_IMPORTANCE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit importance" }, "CircuitOrganisation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ORGANISATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit organisation" }, "CircuitRedundancy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_REDUNDANCY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit redundancy" }, "CircuitSection": { "required": [ "usageState", "usagePurpose", "circuit" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "circuit": { "type": "string", "description": "Circuit the section is in", "format": "url" }, "connectionDate": { "type": "string", "description": "actual section connection date", "format": "date-time" }, "constructionState": { "$ref": "#/components/schemas/ConstructionState" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "disconnectionDate": { "type": "string", "description": "actual section disconnection date", "format": "date-time" }, "extraUsages": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSectionExtraUsage" }, "description": "Extra usages for the Circuit Section. Available from product version 2026.1" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Section name" }, "plannedConnectionDate": { "type": "string", "description": "planned section connection date", "format": "date-time" }, "plannedDisconnectionDate": { "type": "string", "description": "planned section disconnection date", "format": "date-time" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/CircuitUsage" }, "usageState": { "$ref": "#/components/schemas/CircuitUsageState" } } }, "SuperCircuit": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key" }, "identifier": { "type": "string", "description": "Super circuit identifier" }, "itemType": { "$ref": "#/components/schemas/TxtConstant" }, "networkType": { "$ref": "#/components/schemas/TxtConstant" }, "state": { "$ref": "#/components/schemas/TxtConstant" } }, "description": "Super circuit (nested in Circuit responses). Available from product version v2026.2." }, "CircuitLocationType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_LOCATION_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit location type" }, "CircuitConnectionCCP": { "allOf": [ { "$ref": "#/components/schemas/CircuitConnection" }, { "type": "object", "properties": { "ccp": { "$ref": "#/components/schemas/CCPDevicePremise" } } } ] }, "CircuitReservationData": { "type": "object", "properties": { "circuit": { "type": "string", "description": "Reservation circuit", "format": "url" }, "circuitOrder": { "type": "integer", "description": "Reservation circuit order number" }, "component": { "type": "string", "description": "Reservation component name" }, "componentAttenuation": { "type": "number", "description": "Reservation component attenuation", "format": "float" }, "componentId": { "type": "integer", "description": "Reservation component Id" }, "componentLength": { "type": "number", "description": "Reservation component length. This field cannot be used for filtering or ordering", "format": "float" }, "componentState": { "type": "string", "description": "Reservation component state" }, "componentType": { "type": "string", "description": "Reservation component type" }, "container": { "type": "string", "description": "Reservation container name" }, "containerId": { "type": "integer", "description": "Reservation container Id" }, "containerState": { "type": "string", "description": "Reservation container state" }, "containerType": { "type": "string", "description": "Reservation container type" }, "lineLocation": { "type": "string", "description": "Linear geographical location of component", "format": "ewkt" }, "pointLocation": { "type": "string", "description": "Point geographical location of component", "format": "ewkt" }, "section": { "type": "string", "description": "Reservation section", "format": "url" }, "topContainer": { "type": "string", "description": "Reservation top container name" }, "topContainerId": { "type": "integer", "description": "Reservation top container Id" }, "topContainerState": { "type": "string", "description": "Reservation top container state" }, "topContainerType": { "type": "string", "description": "Reservation top container type" } } }, "CircuitParams": { "type": "object", "properties": { "contractNumber": { "type": "string", "description": "circuit contract number as alternative search criteria" }, "name": { "type": "string", "description": "circuit identifier as alternative search criteria" }, "name2": { "type": "string", "description": "circuit alternate identifier as alternative search criteria" }, "orderNumber": { "type": "string", "description": "circuit order number as alternative search criteria" } } }, "Apartment": { "required": [ "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "apartmentDivision": { "type": "string", "description": "apartment division" }, "apartmentLetter": { "type": "string", "description": "apartment letter" }, "apartmentNumber": { "type": "string", "description": "apartment number" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Apartment with this value as 1 is default apartment. Modifying or deleting such apartment is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "originProperty": { "type": "string", "description": "apartment original property id" }, "originalStreetno": { "type": "string", "description": "apartment original streen number" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "usagePurpose": { "$ref": "#/components/schemas/ApartmentUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "usageState": { "$ref": "#/components/schemas/ApartmentStatus" } } }, "CustomerType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CUST_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Customer type" }, "Bitrate": { "type": "object", "properties": { "description": { "type": "string", "description": "Bitrate description", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "rate": { "type": "integer", "description": "Bitrate value", "readOnly": true } } }, "ConstructionState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONST_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Txt constants construction state" }, "CircuitSectionExtraUsage": { "type": "object", "properties": { "customerUrl": { "type": "string", "description": "Hyperlink to the related customer", "format": "uri" }, "extraUsage": { "$ref": "#/components/schemas/ExtraUsage" }, "information": { "type": "string", "description": "Free text information" }, "name1": { "type": "string", "description": "Optional name field 1", "example": "John Doe" }, "name2": { "type": "string", "description": "Optional name field 2", "example": "Jane Doe" }, "name3": { "type": "string", "description": "Optional name field 3", "example": "Jane Doe" }, "name4": { "type": "string", "description": "Optional name field 4", "example": "Jane Doe" }, "pk": { "type": "integer", "description": "Primary key", "example": 1 } } }, "CircuitUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage" }, "CircuitUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_USAGE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage state" }, "TxtConstant": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "type": "string", "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } } }, "CircuitConnection": { "required": [ "section" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "ccp": { "$ref": "#/components/schemas/CCP" }, "circuit": { "type": "string", "description": "Url to fetch details of related circuit.", "format": "url", "readOnly": true }, "connection": { "$ref": "#/components/schemas/CcpConnection" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "details": { "type": "string", "description": "Circuit connection details in text" }, "device": { "type": "string", "description": "Url to fetch details of related device.", "format": "url", "readOnly": true }, "hierarchy": { "type": "integer", "description": "Circuit hierarchy id", "readOnly": true }, "hierarchyLength": { "type": "number", "description": "Cable length (sum) reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "hierarchyParentCircuitName": { "type": "string", "description": "Name of the parent circuit this row's subcircuit hierarchy belongs to. Null unless hierarchy is set.", "readOnly": true }, "hierarchyTimeslot": { "type": "integer", "description": "Timeslot reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "order": { "type": "integer", "description": "The order number in section's circuit connections" }, "premises": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url", "readOnly": true }, "section": { "type": "string", "description": "Url to fetch details of related circuit section.", "format": "url" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true } } }, "CCPDevicePremise": { "allOf": [ { "$ref": "#/components/schemas/CCP" }, { "type": "object", "properties": { "device": { "type": "array", "items": { "$ref": "#/components/schemas/Device" }, "description": "List of related devices" }, "premises": { "type": "array", "items": { "$ref": "#/components/schemas/Premises" }, "description": "List of related premises" } } } ] }, "Address": { "required": [ "streetname", "city" ], "type": "object", "properties": { "buildingId": { "type": "string", "description": "Building id" }, "buildingName": { "type": "string", "description": "Building name" }, "city": { "type": "string", "description": "Building city name" }, "cityAlt": { "type": "string", "description": "Building city name in alternative language" }, "country": { "type": "string", "description": "Building country" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "district": { "type": "string", "description": "Building district" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Address with this value as 1 is default address. Modifying or deleting such address is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "municipality": { "type": "string", "description": "Building municipality" }, "propertyId": { "type": "string", "description": "Property number" }, "province": { "type": "string", "description": "Building province" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "streetname": { "type": "string", "description": "Building street name" }, "streetnameAlt": { "type": "string", "description": "Building street name in alternative language" }, "streetno": { "type": "string", "description": "Building number" }, "subdivision": { "type": "string", "description": "Building municipality subdivision" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/BuildingUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "zipcode": { "type": "string", "description": "Building zipcode" } } }, "SourceSystem": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SOURCE_SYSTEM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "External source system" }, "ApartmentUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment Usage purpose" }, "AddressSecondaryUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ADDR_SPEC" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Address usage purpose" }, "ApartmentStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment status" }, "ExtraUsage": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Availability end timestamp", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Availability start timestamp", "format": "date-time" }, "available": { "type": "boolean", "description": "Whether the constant is available" }, "groupname": { "enum": [ "KN_EXTRAUSAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url", "example": "https://keycom.example.com/api/v2/txt_constants/groupname/KN_EXTRAUSAGE/" }, "logical_txt": { "type": "string", "description": "Logical textual value", "example": "IPTV DSL-liittymälle" }, "num_value": { "type": "integer", "description": "Numeric value 1", "example": 3.0 }, "num_value2": { "type": "integer", "description": "Numeric value 2" }, "num_value3": { "type": "integer", "description": "Numeric value 3" }, "num_value4": { "type": "integer", "description": "Numeric value 4" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit Section Extra Usage Txt Constant definition" }, "CCP": { "required": [ "name", "startThread", "terminal" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "ccpOwner": { "$ref": "#/components/schemas/CcpOwner" }, "channelType": { "$ref": "#/components/schemas/ChannelType" }, "connectorType": { "$ref": "#/components/schemas/ConnectorType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "freeStatus": { "enum": [ 1, 0 ], "type": "integer", "description": "Defines if cross connection point is free" }, "functionality": { "type": "string", "description": "Functionality" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Name of cross connection point" }, "parent": { "type": "string", "description": "Url to fetch details of parent cross connection point", "format": "url" }, "priority": { "$ref": "#/components/schemas/CcpPriority" }, "remarks": { "type": "string", "description": "Remarks" }, "services": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceType" }, "description": "List of this cross connection point's services", "readOnly": true }, "signalDirection": { "$ref": "#/components/schemas/SignalDirection" }, "startThread": { "type": "integer", "description": "Start thread" }, "subCcpOrder": { "type": "integer", "description": "Sub connector order" }, "subchannelsExist": { "enum": [ 1, 0 ], "type": "string", "description": "Defines whether subchannels exist or not" }, "technology": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology of ccp. 1 for Fiber, 0 for Copper." }, "terminal": { "type": "string", "description": "url of cross connection point terminal/device", "format": "url" } } }, "CcpConnection": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Connection attenuation", "format": "float" }, "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "ccp1Id": { "type": "string", "description": "Url to fetch details of first cross connection point.", "format": "url" }, "ccp1PremId": { "type": "string", "description": "Url to fetch details of first premises.", "format": "url" }, "ccp1TermId": { "type": "string", "description": "Url to fetch details of first terminal.", "format": "url" }, "ccp2Id": { "type": "string", "description": "Url to fetch details of second cross connection point.", "format": "url" }, "ccp2PremId": { "type": "string", "description": "Url to fetch details of second premises.", "format": "url" }, "ccp2TermId": { "type": "string", "description": "Url to fetch details of second terminal.", "format": "url" }, "connectionType": { "$ref": "#/components/schemas/CcpConnectionType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "directionId": { "$ref": "#/components/schemas/ConnectionDirection" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true } } }, "Device": { "allOf": [ { "$ref": "#/components/schemas/FlatDevice" }, { "type": "object", "properties": { "owner": { "$ref": "#/components/schemas/TerminalOwner" }, "parent": { "type": "string", "description": "Url to fetch details of related parent terminal", "format": "url" }, "premise": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url" }, "renter": { "$ref": "#/components/schemas/TerminalRenter" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "type": { "type": "string", "description": "Url to fetch details of related terminal type.", "format": "url" }, "usageState": { "$ref": "#/components/schemas/TerminalState" } } } ] }, "Premises": { "required": [ "usageState", "type" ], "type": "object", "properties": { "Manhole": { "$ref": "#/components/schemas/Manhole" }, "Pole": { "$ref": "#/components/schemas/Pole" }, "address": { "type": "string", "description": "Url to fetch details of related address apartments.", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "capacity": { "type": "integer", "description": "Capacity" }, "createdBy": { "type": "string", "description": "Creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date time", "format": "date-time", "readOnly": true }, "deviceRoom": { "$ref": "#/components/schemas/PremRoom" }, "diagramConfirm": { "$ref": "#/components/schemas/DiagramConfirm" }, "heightAccuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "Mapping date", "format": "date-time" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Premises identification. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "importance": { "$ref": "#/components/schemas/PremImportance" }, "install_year": { "type": "integer", "description": "Install year" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "name": { "type": "string", "description": "Name of the premises" }, "owner": { "$ref": "#/components/schemas/PremOwner" }, "plan": { "type": "string", "description": "Url to fetch details of related plan.", "format": "url" }, "remarks": { "type": "string", "description": "Premises' remarks" }, "renter": { "$ref": "#/components/schemas/PremRenter" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "Source system key. Available from product version 3.4." }, "survey_amount": { "type": "string", "description": "Survey amount" }, "technicalId": { "type": "integer", "description": "Technical id" }, "technicalInfo": { "type": "string", "description": "Technical information" }, "telecomArea": { "type": "integer", "description": "Telecom area id" }, "type": { "$ref": "#/components/schemas/PremType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/PremState" } } }, "BuildingUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "BUILDING_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Building usage purpose" }, "CcpOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CCP_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point owner" }, "ChannelType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CHANNEL_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point channel type" }, "ConnectorType": { "required": [ "abbreviation", "description", "threadCount" ], "type": "object", "properties": { "abbreviation": { "type": "string", "description": "Abbreviation" }, "attenuation": { "type": "number", "description": "Attenuation", "format": "float" }, "description": { "type": "string", "description": "Description" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "technologyId": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology id." }, "threadCount": { "type": "integer", "description": "Thread count" } } }, "CcpPriority": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CCP_PRIORITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point priority" }, "ServiceType": { "required": [ "usage", "technology" ], "type": "object", "properties": { "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "servicegroups": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceGroup" }, "description": "List of service groups for this service", "readOnly": true }, "technology": { "$ref": "#/components/schemas/ServiceTypeTechnology" }, "usage": { "$ref": "#/components/schemas/ServiceTypeUsage" } } }, "SignalDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_SIGNAL_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point signal direction" }, "CcpConnectionType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONNECTION_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection type" }, "ConnectionDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONN_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection direction" }, "FlatDevice": { "required": [ "identification", "type", "premise" ], "type": "object", "properties": { "comments": { "type": "string", "description": "Remarks" }, "connectorCount": { "type": "integer", "description": "Connector count" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification" }, "installYear": { "type": "integer", "description": "Installation year. Available from product version 2025.1.", "format": "yyyy" }, "interface": { "type": "string", "description": "Interface" }, "locationArea": { "type": "string", "description": "Location area. Available from product version 3.6." }, "locationRack": { "type": "string", "description": "Location rack. Available from product version 3.6." }, "locationRackRow": { "type": "string", "description": "Location rack row. Available from product version 3.6." }, "locationSide": { "type": "string", "description": "Location side. Available from product version 3.6." }, "locationSlot": { "type": "string", "description": "Location slot. Available from product version 3.6." }, "locationSubSlot": { "type": "string", "description": "Location sub slot. Available from product version 3.6." }, "locationSubrack": { "type": "string", "description": "Location sub rack. Available from product version 3.6." }, "managementAddress": { "type": "string", "description": "Management address" }, "managementAddress2": { "type": "string", "description": "Management address 2" }, "orderNo": { "type": "integer", "description": "Order number" }, "owner": { "type": "integer", "description": "Device owner" }, "parent": { "type": "integer", "description": "Parent terminal id" }, "premise": { "type": "integer", "description": "Telecom premises" }, "renter": { "type": "integer", "description": "Device renter" }, "sourceSystem": { "type": "integer", "description": "Source system id. Available from product version 3.4." }, "sourceSystemKey": { "type": "integer", "description": "source system key. Available from product version 3.4." }, "startPin": { "type": "integer", "description": "Start connector" }, "type": { "type": "integer", "description": "Terminal type" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "type": "integer", "description": "Terminal state" } } }, "TerminalOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DEVICE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal owner" }, "TerminalRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DEVICE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal renter" }, "TerminalState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "TERMINAL_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal usage purpose" }, "Manhole": { "required": [ "identification", "usageState", "type" ], "type": "object", "properties": { "address": { "type": "string", "description": "url of manhole address apartments", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "diagramConfirm": { "$ref": "#/components/schemas/DiagramConfirm" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "history date", "format": "date" }, "id": { "type": "integer", "description": "Manhole primary key", "readOnly": true }, "identification": { "type": "string", "description": "Name of manhole. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "installYear": { "type": "integer", "description": "Installation year" }, "location": { "type": "string", "description": "Geographical location. Available from product version 3.2.16.", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "mapper name" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "owner": { "$ref": "#/components/schemas/ElManholeOwner" }, "plan": { "type": "string", "description": "url of manhole plan", "format": "url" }, "remarks": { "type": "string", "description": "Remarks" }, "rentPaid": { "type": "boolean", "description": "Is rent paid or not" }, "renter": { "$ref": "#/components/schemas/ElManholeRenter" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "surveyAmount": { "type": "integer", "description": "unknown" }, "telecomArea": { "$ref": "#/components/schemas/TelecomArea" }, "type": { "$ref": "#/components/schemas/ManholeType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/ManholeUsageState" } }, "description": "information of a telecom manhole object" }, "Pole": { "required": [ "pole_type", "usage_state" ], "type": "object", "properties": { "angle": { "$ref": "#/components/schemas/Angle" }, "branch_pole_number": { "type": "string", "description": "Branch Pole" }, "checkout_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "created_by": { "type": "string", "description": "Created by", "readOnly": true }, "created_ts": { "type": "string", "description": "Created timestamp", "format": "date-time", "readOnly": true }, "decay_class": { "$ref": "#/components/schemas/PoleDecayClass" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "history_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "impregnant": { "$ref": "#/components/schemas/PoleImpregnant" }, "install_year": { "type": "integer", "description": "Install year" }, "length": { "type": "number", "description": "Pole length", "format": "float" }, "line_part": { "type": "string", "description": "Line Part" }, "location": { "type": "string", "description": "Location of pole in EWKT", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "material": { "$ref": "#/components/schemas/PoleMaterial" }, "owner": { "$ref": "#/components/schemas/PoleOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "pole_number": { "type": "string", "description": "Pole number" }, "pole_type": { "$ref": "#/components/schemas/PoleType" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/PoleRenter" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "stanchion": { "$ref": "#/components/schemas/PoleStanchion" }, "stanchion_decay_class": { "$ref": "#/components/schemas/PoleStanchionDecayClass" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "telecom_area": { "type": "string", "description": "Telecom area the pole is inside", "format": "url" }, "updated_by": { "type": "string", "description": "Last updated by", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last updated timestamp", "format": "date-time", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/PoleUsageState" } } }, "Angle": { "type": "number", "description": "Angle in degrees. 0 is north.\nInput accepts values from -360 to 360. \nNegative values are converted to positive (-90 -> 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "PremRoom": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_PLACEMENT" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Device room" }, "DiagramConfirm": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHDIAG_CONFIRMED" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "PremImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_IMPORTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "PremOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises owner" }, "PremRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant. Same as with Premises owner." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises renter" }, "SafetyDistance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SAFETY_DISTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Safety Distance" }, "PremType": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "listUrl": { "type": "string", "description": "Url to fetch all objects", "format": "url" }, "manufacturer": { "type": "string", "description": "Premises manufacturer" }, "productCode": { "type": "string", "description": "Product code" }, "type": { "$ref": "#/components/schemas/PremTypeType" } }, "description": "Premises type" }, "PremState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": {
[...]
